%define module	Finance-Bank-LaPoste
%define name	perl-%{module}
%define version	0.02
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Check your "La Poste" accounts from Perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Buildrequires:	perl-devel
Buildarch:	noarch
Requires:	perl(Crypt::SSLeay)

%description
This module provides a read-only interface to the Videoposte online
banking system at <https://www.videoposte.com/>.

The interface of this module is similar to other Finance::Bank modules.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Finance/Bank/*
%{_mandir}/*/*

%changelog
* Thu Jan  8 2004 Pixel <pixel@mandrakesoft.com> 0.02-1mdk
- new release: internal change (the Finance::Bank::LaPoste::Statement hash now contains the "year")

* Wed Oct  8 2003 Pixel <pixel@mandrakesoft.com> 0.01-1mdk
- initial release
